<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="icon" type="image/png" href="/images/icon.png">
        <title>{% block title %}{% endblock %} - 3D Nova</title>
        {% block stylesheets %}
            {{ encore_entry_link_tags ( 'app' ) }}
        {% if not(is_granted('ROLE_ADMIN') or is_granted('ROLE_MANAGER')) %}
            {% include "partials/public_css.html.twig" %}

        {% endif %}
        {% endblock %}

</head>
    <body>

        <header>
            {% block header %}
            {% if not(is_granted('ROLE_ADMIN') or is_granted('ROLE_MANAGER')) %}
                {% include "partials/public_header.html.twig" %}
            {% endif %}
              {% include "partials/header.html.twig" %}
            {% endblock %}
        </header>

        <main>
            {% for message in app.flashes('success') %}
                <div class="alert alert-success">
                    {{message}}
                </div>
            {% endfor %}
            {% block body %}
            {% endblock %}
        </main>

        <footer>
            {% block footer %}
                {% include "partials/footer.html.twig" %}
            {% endblock %}
        </footer>

        {{ encore_entry_script_tags ( 'app' ) }}
        <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
        
        {% block javascripts %}
                {{ encore_entry_script_tags ( 'app' ) }}
        {% endblock %}
    </body>
</html>
